<?php require_once('../auth/auth.php');?>
<?php
if(isset($_GET['roid'])){
$roid= $_GET['roid'];
$areaquery= mysqli_query($conn,"SELECT route_name,road_name FROM route_area WHERE roid='$roid' LIMIT 1 ") or die (mysqli_error($conn));
$rowarea= mysqli_fetch_assoc($areaquery);
$route_name=$rowarea['route_name'];
$road_name=$rowarea['road_name'];
}
?>
<section class="content">
  <div class="container-fluid">
    <div class="row">
      
      <div class="col-md-2">  </div>
      <div class="col-md-8">
        <div class="card card-primary card-outline direct-chat direct-chat-primary shadow-none" style="border-left:1px solid #969c9d;border-right:1px solid #969c9d;border-bottom:1px solid #969c9d;">
          <div class="card-header" style="padding: 5px 8px;"><h3 class="card-title"><?php echo language(223);?></h3> <div class="card-tools"> <button type="button" class="btn btn-tool" data-card-widget="remove"> <i class="fas fa-times"></i>  </button> </div>
        </div>
        <form id="route_form" action="#" method="post" autocomplete="off">
          <input type="hidden" name="newroute" required="true">
          <?php if(isset($_GET['roid'])){  ?>
          <input type="hidden" name="newroute" id="newroute" value="<?php echo @$roid ;?>"/>
          <?php }else{?>
          <input type="hidden" name="newroute" id="newroute" value="0"/>
          <?php } ?>
          <div class="card-body">
            <div class="col-md-12">
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <label><?php echo language(224);?><b class="text-danger"> *</b></label>
                    <input type="text" name="route_name"  value="<?php echo @$route_name ?>" class="form-control form-control-sm inputselect"  style="text-align:center;" required="true">
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label><?php echo language(225);?><b class="text-danger"> *</b></label>
                    <input type="text" name="road_name"  value="<?php echo @$road_name ?>" class="form-control form-control-sm inputselect"  style="text-align:center;" required="true">
                  </div>
                </div>
              </div>
            </div>
          </div>
          <center>
          <div class="card-footer" style="padding: 8px 5px;">
            <button type="submit" id="save" class="btn btn-success btn-xs"><?php if (@$_GET['roid']) {echo language(25);}else{echo language(23);}?></button>
            <button type="reset" class="btn btn-secondary btn-xs"><?php echo language(24);?></button>
          </div>
          </center>
        </form>
        <div class="card-body p-1">
          <tr>
            <th rowspan="3"  class="text-center" >
              <input type="text" id="search" class="form-control form-control-sm search"  placeholder="searching" required="true" style="border-radius: ;border:1px solid primary;width:100%; text-align:center; padding:; ">
            </th>
          </tr>
          <table class="table table-sm" cellpadding="0" cellspacing="0">
            <thead>
              <tr class="sticky-top">
                <th class="text-center" style="width:5%;"><?php echo language(15);?></th>
                <th style="width:25%;"><?php echo language(193);?> </th>
                <th class="text-center" style="width:25%;"><?php echo language(224);?>  </th>
                <th class="text-center" style="width:25%;"><?php echo language(225);?> </th>
                <th class="text-center" style="width:20%;"><?php echo language(131);?> </th>
              </tr>
            </thead>
            <tbody id="colview" class="searchtable">
              <?php
              $route_area_query= mysqli_query($conn,"SELECT * FROM route_area WHERE  coid='$coid' AND $bid='$bid' AND brid='$brid'  ") or die (mysqli_error($conn));
              $i=0;
              while ($rowar= mysqli_fetch_array ($route_area_query) ){
              $companyid  =$rowar['coid'];
              $co_name=mysqli_fetch_assoc(mysqli_query($conn,"SELECT co_name FROM company WHERE coid='$companyid'  LIMIT 1 "))['co_name'];
              ?>
              <tr class="btn-outline-dark tr-hover delete_op<?php echo $rowar['roid'];?>"  onclick="pagecall('../customer/route_index.php?roid='+'<?php echo $rowar['roid'];?>','#cusview')">
                <td  style="font-size: 11.5px;text-align: center;"><?php echo ++$i ?></td>
                <td  style="font-size: 11.5px"><?php echo $co_name;?> </td>
                <td   style="font-size: 11.5px"><?php echo $rowar['route_name'] ;?>  </td>
                <td  style="font-size: 11.5px"><?php echo $rowar['road_name'];?></td>
                <td  style="font-size: 11.5px"> <?php echo $rowar['op_date'];?></td>
              </tr>
              <?php } ?>
            </tbody>
          </table>
        </div>
      </div>
    </div>
    <div class="col-md-2">  </div>
  </div>
</div>
</section>
<script>
$(document).ready(function() {
$('#route_form').on('submit', function(e){
$('#save').prop('disabled', true);
$('#save').html('<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span> '+'Loading...');
e.preventDefault();
$.post("../customer/route_index_db.php",$(this).serialize(),function(data){
$('#route_form')[0].reset();
$('#save').prop('disabled', false);
$('#save').html('Company Save');
$.post('../customer/route_index.php?running='+1,{},function(res){
$('#cusview').html(res);
toastr.success(Showing, '<?php echo "Data Load Succefully " ?>');
});
});
});
$('.search').on('keyup',function(){
var searchTerm = $(this).val().toLowerCase();
$('.searchtable tr').each(function(){
var lineStr = $(this).text().toLowerCase();
if(lineStr.indexOf(searchTerm) === -1){
$(this).hide();
}else{
$(this).show();
}
});
});
$('th').each(function (col) {
$(this).hover(
function () {
$(this).addClass('focus');
},
function () {
$(this).removeClass('focus');
}
);
$(this).click(function () {
if ($(this).is('.asc')) {
$(this).removeClass('asc');
$(this).addClass('desc selected');
sortOrder = -1;
} else {
$(this).addClass('asc selected');
$(this).removeClass('desc');
sortOrder = 1;
}
$(this).siblings().removeClass('asc selected');
$(this).siblings().removeClass('desc selected');
var arrData = $('table').find('tbody >tr:has(td)').get();
arrData.sort(function (a, b) {
var val1 = $(a).children('td').eq(col).text().toUpperCase();
var val2 = $(b).children('td').eq(col).text().toUpperCase();
if ($.isNumeric(val1) && $.isNumeric(val2))
return sortOrder == 1 ? val1 - val2 : val2 - val1;
else
return (val1 < val2) ? -sortOrder : (val1 > val2) ? sortOrder : 0;
});
$.each(arrData, function (index, row) {
$('tbody').append(row);
});
});
});
});
</script>